# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXQueryHashElement

Function

Searches a hash table for an element matching a specified key.

Syntax
`
#include <dx/dx.h>
`

Element DXQueryHashElement(HashTable hashTable, Key searchKey)

Functional Details

If a hash function was provided when the table was created, that function is used to derive a long integer pseudokey from `searchKey`; otherwise, the first long integer of `searchKey` is assumed to be the pseudokey. If a compare function was provided when the hash table was created, then more than one element may be stored with the same pseudokey. `DXQueryHashElement` will use this compare function to return the element that matches the `searchKey`.

`Key` is defined as:

    typedef Pointer Key;

Return Value

Returns the element if found or returns `NULL`, but does not set an error code.

See Also

`DXCreateHash`

14.5 , "Hashing".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]